:root {
	--theme-background-color: white;
	--theme-color: #555;
	--theme-disabled-color: #ccc;
	--theme-selected-color: #000;
	

	--theme-header-background-color: rgb(79, 104, 147);
	--theme-header-color:white;
	--theme-header-title-color: white;
	
	--theme-button-background-color:rgb(247,247,247);
	--theme-button-hover-color: rgb(230,230,230);
	--theme-button-active-color: rgb(240,240,240);
	
	--theme-candle-up-color: rgb(69, 103, 172);
	--theme-candle-down-color: rgb(167, 79, 79);
	--theme-wick-up-color: rgb(69, 103, 172);
	--theme-wick-down-color: rgb(167, 79, 79);

	--theme-cursor-color:rgb(255, 154, 3);
}

[data-theme="dark"] {
	/* Dark theme specific styles */
	--theme-background-color: black;
	--theme-color: #888;
	--theme-disabled-color: #333;

	--theme-header-background-color: rgb(38, 53, 78);
	--theme-header-color:#ccc;
	--theme-header-title-color: #eee;

	--theme-button-background-color: #111;
	--theme-button-hover-color: #222;
	--theme-button-active-color: #333;
	--theme-selected-color: #ddd;
/*
	--theme-candle-up-color: rgb(54, 80, 133);
	--theme-candle-down-color: rgb(120, 58, 58);
	--theme-wick-up-color: rgb(100 127 183);
	--theme-wick-down-color: rgb(171 114 114);
*/
	--theme-cursor-color:rgb(255, 154, 3);
}

::-webkit-scrollbar {
	background:var(--theme-background-color);
}

::-webkit-scrollbar-thumb {
	background:var(--theme-disabled-color);
}

